| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Typedefs | Functions | Variables
Custom_1 module documentation

## Data Structures
struct | Custom_1_ConfigTable_tag
| the structure defines the configuration table. More...

## Typedefs
typedef struct Custom_1_ConfigTable_tag | Custom_1_ConfigTable_Element_t
| the structure defines the configuration table. More...

## Functions
Custom_1_Status_t | Custom_1_device_check_whoami (dm_DeviceDescriptor_t *pDeviceHandle, uint8 whoami)
| Local function declaration for validating the Device ID using the "WHOAMI" command. More...
Custom_1_Status_t | Custom_1_device_wait_for_active (dm_DeviceDescriptor_t *pDeviceHandle)
| Local function declaration for handling the wait state during device activation. More...

## Variables
const isf_dsa_Adapter_t | Custom_1_Adapter
| This creates the sensor adapter instance for the target sensor. More...
Custom_1_Sensor_Specific_Settings_t | Custom_1_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | Custom_1_Adapter
| This allows access to the sensor adapter instance for the target sensor. More...
const i2c_device_t | Custom_1_DeviceInfo
| This allows access to the sensor communications specific configuration. More...
isf_SensorTypes_t | Custom_1_SupportedSensorTypes []
| Supported sensor and data types. More...
isf_SensorDataTypes_t | Custom_1_SupportedDataTypes []

## Detailed Description

## Typedef Documentation

typedef struct Custom_1_ConfigTable_tag Custom_1_ConfigTable_Element_t

the structure defines the configuration table.

## Function Documentation

Custom_1_Status_t Custom_1_device_check_whoami | ( | dm_DeviceDescriptor_t * | pDeviceHandle,
|  | uint8 | whoami
| ) |  |

Local function declaration for validating the Device ID using the "WHOAMI" command.

Custom_1_Status_t Custom_1_device_wait_for_active | ( | dm_DeviceDescriptor_t * | pDeviceHandle | ) |

Local function declaration for handling the wait state during device activation.

## Variable Documentation

const isf_dsa_Adapter_t Custom_1_Adapter

Initial value:
=
{
.devInfo.pSupportedSensorTypes = Custom_1_SupportedSensorTypes,
.devInfo.pSupportedSensorDataTypes = Custom_1_SupportedDataTypes,
.devInfo.nNativeDataSetSize = sizeof(Custom_1_DataBuffer_t),
.control.Initialize = &fsl_Sensor_Custom_1_Initialize,
.control.ValidateSettings = &fsl_Sensor_Custom_1_ValidateSettings,
.control.Configure = &fsl_Sensor_Custom_1_Configure,
.control.StartData = &fsl_Sensor_Custom_1_StartData,
.control.EndData = &fsl_Sensor_Custom_1_EndData,
.control.Calibrate = NULL,
.control.Shutdown = &fsl_Sensor_Custom_1_Shutdown,
.control.Convert = &fsl_Sensor_Custom_1_Convert
}
fsl_Sensor_Custom_1_Initialize
isf_dsa_status_t fsl_Sensor_Custom_1_Initialize(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_Sensor_Custom_1_Functions.c:140
fsl_Sensor_Custom_1_EndData
isf_dsa_status_t fsl_Sensor_Custom_1_EndData(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_Sensor_Custom_1_Functions.c:152
fsl_Sensor_Custom_1_Convert
isf_dsa_status_t fsl_Sensor_Custom_1_Convert(volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32_t *numBytes)
Definition: fsl_Sensor_Custom_1_Functions.c:122
fsl_Sensor_Custom_1_ValidateSettings
isf_dsa_status_t fsl_Sensor_Custom_1_ValidateSettings(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
Definition: fsl_Sensor_Custom_1_Functions.c:134
fsl_Sensor_Custom_1_Configure
isf_dsa_status_t fsl_Sensor_Custom_1_Configure(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
Definition: fsl_Sensor_Custom_1_Functions.c:128
Custom_1_SupportedDataTypes
isf_SensorDataTypes_t Custom_1_SupportedDataTypes[]
Definition: fsl_Sensor_Custom_1_Functions.c:92
Custom_1_SupportedSensorTypes
isf_SensorTypes_t Custom_1_SupportedSensorTypes[]
Supported sensor and data types.
Definition: fsl_Sensor_Custom_1_Functions.c:87
fsl_Sensor_Custom_1_StartData
isf_dsa_status_t fsl_Sensor_Custom_1_StartData(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_Sensor_Custom_1_Functions.c:146
Custom_1_DataBuffer_t
This structure defines the dummy DSA data buffer format.
Definition: fsl_Sensor_Custom_1_Functions.h:119
fsl_Sensor_Custom_1_Shutdown
isf_dsa_status_t fsl_Sensor_Custom_1_Shutdown(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_Sensor_Custom_1_Functions.c:158

This creates the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 43 of file Custom_1.c.

const isf_dsa_Adapter_t Custom_1_Adapter

This allows access to the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 43 of file Custom_1.c.

const i2c_device_t Custom_1_DeviceInfo

This allows access to the sensor communications specific configuration.

Updated as per MMA865x device settings.

Definition at line 80 of file fsl_Sensor_Custom_1_Functions.c.

Custom_1_Sensor_Specific_Settings_t Custom_1_Sensor_Specific_Config

This allows access to the sensor specific configuration for the target sensor.

Definition at line 62 of file fsl_Sensor_Custom_1_Functions.c.

isf_SensorDataTypes_t Custom_1_SupportedDataTypes[]

Definition at line 92 of file fsl_Sensor_Custom_1_Functions.c.

isf_SensorTypes_t Custom_1_SupportedSensorTypes[]

Supported sensor and data types.

Supported sensor and data types.

Definition at line 87 of file fsl_Sensor_Custom_1_Functions.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.